VERSION 5.00
Begin VB.UserControl UserControl1 
   BackStyle       =   0  'Transparent
   CanGetFocus     =   0   'False
   ClientHeight    =   1650
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2250
   ClipBehavior    =   0  'None
   HasDC           =   0   'False
   ScaleHeight     =   110
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   150
   Begin VB.Line Line1 
      X1              =   0
      X2              =   144
      Y1              =   0
      Y2              =   104
   End
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Event MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)

Private mModeLeftTop As Boolean

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  RaiseEvent MouseDown(Button, Shift, x, y)
End Sub

Property Get FromTopLeftCorner() As Boolean
  FromTopLeftCorner = mModeLeftTop
End Property

Property Let FromTopLeftCorner(ByVal f As Boolean)
  mModeLeftTop = f
  Redraw
End Property

Private Sub Redraw()
  With Line1
    .X1 = 0
    .Y1 = IIf(mModeLeftTop, 0, UserControl.ScaleHeight)
    .X2 = UserControl.ScaleWidth
    .Y2 = IIf(mModeLeftTop, UserControl.ScaleHeight, 0)
  End With
End Sub

Private Sub UserControl_Resize()
  Redraw
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
  PropBag.WriteProperty "FromTopLeftCorner", mModeLeftTop, True
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
  FromTopLeftCorner = PropBag.ReadProperty("FromTopLeftCorner", True)
End Sub
